Domains

Update where a domain’s root, unknown slugs and expired links go

Only the fields sent change; null clears one. Admins only.

PATCH
/v1/domains/{id}

Only the fields sent change; null clears one. Admins only.

Authorization

apiKey
headerAuthorizationBearer <token>

Path Parameters

id*string

Request Body

  1. body
rootRedirectUrl?|null
notFoundUrl?|null
expiredUrl?|null

Response Body

Response for status 200

application/json
  1. response
id*string
host*string
kind*string

subdomain = the workspace’s own on the short-link domain

Value in"subdomain""custom"
status*string
Value in"pending""verified""failed"
primary*boolean

New links go here when they name no domain

verifiedAt*|null
rootRedirectUrl*string|null
notFoundUrl*string|null
expiredUrl*string|null
dnsRecords*array<>

What to publish at your DNS provider

createdAt*string

ISO 8601 date-time

updatedAt*string

ISO 8601 date-time

curl -X PATCH 'https://api.tinbo.co/v1/domains/string' \  -H 'Content-Type: application/json' \  -d '{}'
{  "id": "string",  "host": "string",  "kind": "subdomain",  "status": "pending",  "primary": true,  "verifiedAt": "string",  "rootRedirectUrl": "string",  "notFoundUrl": "string",  "expiredUrl": "string",  "dnsRecords": [    {      "type": "string",      "name": "string",      "value": "string"    }  ],  "createdAt": "string",  "updatedAt": "string"}